org.apache.lucene.queries.function.valuesource

## Class EnumFieldSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.EnumFieldSource

    public class EnumFieldSource
    extends FieldCacheSource

Obtains int field values from `LeafReader.getNumericDocValues(java.lang.String)` and makes those values available as other numeric types, casting as needed. strVal of the value is not the int value, but its string (displayed) value

### Field Summary

### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`field`

### Constructor Summary

Constructors
Constructor and Description
`EnumFieldSource(String field, Map<Integer,String> enumIntToStringMap, Map<String,Integer> enumStringToIntMap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`FunctionValues` `getValues(Map context, LeafReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight().
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`getField`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`asDoubleValuesSource, asLongValuesSource, createWeight, fromDoubleValuesSource, getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnumFieldSource

    public EnumFieldSource(String field,
                           Map<Integer,String> enumIntToStringMap,
                           Map<String,Integer> enumStringToIntMap)

### Method Detail

#### description

    public String description()

Description copied from class: `ValueSource`
description of field, used in explain()

Overrides:
  `description` in class `FieldCacheSource`

#### getValues

    public FunctionValues getValues(Map context,
                                    LeafReaderContext readerContext)
                             throws IOException

Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight(). The values must be consumed in a forward docID manner, and you must call this method again to iterate through the values again.

Specified by:
  `getValues` in class `ValueSource`
Throws:
  `IOException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `FieldCacheSource`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `FieldCacheSource`